package com.chenyang.nse.bussiness.entity.orm.table.core.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_key_sdk_parameter"
)
public class TCoreKeySdkParameter extends TInitEntity {
   private String sdkkeyid;
   private String sdkpassword;
   private String hsmfiledir;

   public String getSdkkeyid() {
      return this.sdkkeyid;
   }

   public String getSdkpassword() {
      return this.sdkpassword;
   }

   public String getHsmfiledir() {
      return this.hsmfiledir;
   }

   public void setSdkkeyid(final String sdkkeyid) {
      this.sdkkeyid = sdkkeyid;
   }

   public void setSdkpassword(final String sdkpassword) {
      this.sdkpassword = sdkpassword;
   }

   public void setHsmfiledir(final String hsmfiledir) {
      this.hsmfiledir = hsmfiledir;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeySdkParameter)) {
         return false;
      } else {
         TCoreKeySdkParameter other = (TCoreKeySdkParameter)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sdkkeyid = this.getSdkkeyid();
            Object other$sdkkeyid = other.getSdkkeyid();
            if (this$sdkkeyid == null) {
               if (other$sdkkeyid != null) {
                  return false;
               }
            } else if (!this$sdkkeyid.equals(other$sdkkeyid)) {
               return false;
            }

            Object this$sdkpassword = this.getSdkpassword();
            Object other$sdkpassword = other.getSdkpassword();
            if (this$sdkpassword == null) {
               if (other$sdkpassword != null) {
                  return false;
               }
            } else if (!this$sdkpassword.equals(other$sdkpassword)) {
               return false;
            }

            Object this$hsmfiledir = this.getHsmfiledir();
            Object other$hsmfiledir = other.getHsmfiledir();
            if (this$hsmfiledir == null) {
               if (other$hsmfiledir != null) {
                  return false;
               }
            } else if (!this$hsmfiledir.equals(other$hsmfiledir)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeySdkParameter;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $sdkkeyid = this.getSdkkeyid();
      result = result * 59 + ($sdkkeyid == null ? 43 : $sdkkeyid.hashCode());
      Object $sdkpassword = this.getSdkpassword();
      result = result * 59 + ($sdkpassword == null ? 43 : $sdkpassword.hashCode());
      Object $hsmfiledir = this.getHsmfiledir();
      result = result * 59 + ($hsmfiledir == null ? 43 : $hsmfiledir.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeySdkParameter(sdkkeyid=" + this.getSdkkeyid() + ", sdkpassword=" + this.getSdkpassword() + ", hsmfiledir=" + this.getHsmfiledir() + ")";
   }
}
